gtkmm: Gdk::Point Class Reference

gtkmm 3.24.8

Public Member Functions | Protected Attributes | Related Symbols | List of all members
Gdk::Point Class Reference

This is a simple structure containing an x and y coordinate of a point. More...

`#include <gdkmm/types.h>`

## Public Member Functions
| Point ()
| Point (int x, int y)
| Point (const Point & other) noexcept
Point & | operator= (const Point && other) noexcept
| Point (Point && other) noexcept
Point & | operator= (Point && other) noexcept
void | set_x (int x)
void | set_y (int y)
int | get_x () const
int | get_y () const
bool | equal (const Gdk::Point & rhs) const
GdkPoint * | gobj ()
| Provides access to the underlying C GObject.
const GdkPoint * | gobj () const
| Provides access to the underlying C GObject.

## Protected Attributes
GdkPoint | gobject_

## Related Symbols
(Note that these are not member symbols.)
bool | operator== (const Point & lhs, const Point & rhs)
bool | operator!= (const Point & lhs, const Point & rhs)
Gdk::Point & | wrap (GdkPoint * object)
const Gdk::Point & | wrap (const GdkPoint * object)

## Detailed Description

This is a simple structure containing an x and y coordinate of a point.

## Constructor & Destructor Documentation

## ◆ Point() [1/4]

Gdk::Point::Point | ( |  | ) |

## ◆ Point() [2/4]

Gdk::Point::Point | ( | int | x,
|  | int | y
| ) |  |

## ◆ Point() [3/4]

Gdk::Point::Point | ( | const Point & | other | ) |
| noexcept

## ◆ Point() [4/4]

Gdk::Point::Point | ( | Point && | other | ) |
| noexcept

## Member Function Documentation

## ◆ equal()

bool Gdk::Point::equal | ( | const Gdk::Point & | rhs | ) | const

## ◆ get_x()

int Gdk::Point::get_x | ( |  | ) | const
| inline

## ◆ get_y()

int Gdk::Point::get_y | ( |  | ) | const
| inline

## ◆ gobj() [1/2]

GdkPoint * Gdk::Point::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GdkPoint * Gdk::Point::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

Point & Gdk::Point::operator= | ( | const Point && | other | ) |
| noexcept

## ◆ operator=() [2/2]

Point & Gdk::Point::operator= | ( | Point && | other | ) |
| noexcept

## ◆ set_x()

void Gdk::Point::set_x | ( | int | x | ) |
| inline

## ◆ set_y()

void Gdk::Point::set_y | ( | int | y | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ operator!=()

bool operator!= | ( | const Point & | lhs,
|  | const Point & | rhs
| ) |  |
| related

## ◆ operator==()

bool operator== | ( | const Point & | lhs,
|  | const Point & | rhs
| ) |  |
| related

## ◆ wrap() [1/2]

const Gdk::Point & wrap | ( | const GdkPoint * | object | ) |
| related

## ◆ wrap() [2/2]

Gdk::Point & wrap | ( | GdkPoint * | object | ) |
| related

## Member Data Documentation

## ◆ gobject_

GdkPoint Gdk::Point::gobject_
| protected